Page MenuHomePhabricator

mapframe: Labels/menu for polyline/polygon options need improvements
Closed, ResolvedPublic

Description

  1. In betalabs insert mapframe element. Switch to VE and click on the draw a polyline' or draw a polygon` options.
  2. The label displayed does not clarify what the option does and also overflows the box.

  1. There is a helpful hint displayed which is obscured by the above label (although can be easily moved out the label area):

Several things to consider with the labels

  • The name (the tooltip) - "Draw a polyline" - "a polyline" term is too technical and is not widely used (unlike "a polygon")
  • What information should be displayed - Save and Cancel (as for Edit layer option) or just Cancel (as for Draw a marker option)?
  • the readability of the font color color: #3366cc; on the background color: background-color: #919187;

Event Timeline

Restricted Application added a project: Maps. · View Herald TranscriptFeb 22 2018, 5:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a project: Discovery. · View Herald TranscriptFeb 22 2018, 5:49 PM
jmatazzoni renamed this task from mapframe: Labels for polyline/polygon options need improvements to mapframe: Labels/menu for polyline/polygon options need improvements.Feb 26 2018, 6:58 PM
jmatazzoni triaged this task as Medium priority.Feb 27 2018, 12:02 AM

Change 432019 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/extensions/Kartographer@master] Add i18n value for leafletdraw-draw-toolbar-finish-*

https://gerrit.wikimedia.org/r/432019

Mooeypoo claimed this task.May 8 2018, 11:57 PM
Mooeypoo added subscribers: jmatazzoni, Mooeypoo.

Helpfully, these are messages the code creates automatically, but that don't have actual text.

After talking to @jmatazzoni (and demonstrating the action) the text "Complete" and tooltip "Click to complete drawing" were chosen.

Change 432019 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Add i18n value for leafletdraw-draw-toolbar-finish-*

https://gerrit.wikimedia.org/r/432019

Etonkovidova closed this task as Resolved.May 11 2018, 5:04 PM

Checked in enwiki and ruwiki betalabs( for i18n) - the labels are clearer: